#!/bin/sh
# OSLEVEL is the HP-UX operating system level.
# INSDIR is the value of!SASROOT directory.
# SASVER is the current SAS version.

NARGS=$#

echo "NOTE:*** Once this script is run, SAS will not run"
echo "     *** on releases prior to 10.20.  It is highly"
echo "     *** recommended you make a backup of the sasexe"
echo "     *** directory tree.  This can be done with the"
echo "     *** tar command(ex. tar cf sasexe.old ./sasexe/*)"
echo "     *** This will create a tar file called sasexe.old"
echo "     *** in the current directory.  For more information"
echo "     *** on tar you should be able to run the UNIX man"   
echo "     *** page(man tar).  There is a README.611 file associated"
echo "     *** with this script. If you haven't done so already,"
echo "     *** you may want to read it.\n\n\n"


#   Check the OS level on which this is being run.

OSLEVEL=`/bin/uname -r | /usr/bin/cut -c3-7`

if [ $OSLEVEL != 10.20 ]
then
    echo "*******WARNING: YOU ARE RUNNING HP $OSLEVEL *******\n "
fi

echo "Do you want to continue?"
echo "(y to continue, n to quit):\c"
read ANS 

until [ "$ANS" = Y -o "$ANS" = y -o "$ANS" = N -o "$ANS" = n ]
do
    echo "enter y or n:\c"
    read ANS
done

if [ "$ANS" = y -o "$ANS" = Y ]
then

#  Get the vlue of the SASROOT directory.  The script assumes you
#  are running from the SASROOT directory, but if you are not,
#  you can change to the SASROOT.

    INSDIR=`pwd`
    echo "The SASROOT Directory is:  $INSDIR\n"
    echo "Is this correct(y or n):\c"
    read ANS 

    until [ "$ANS" = Y -o "$ANS" = y -o "$ANS" = N -o "$ANS" = n ]
    do
       echo "enter y or n:\c"
       read ANS
    done

    if [ "$ANS" = n -o "$ANS" = N ]
    then
	echo "Enter the SASROOT directory(ex. /usr/local/sas611):\c"
	read INSDIR

	while [ ! -d $INSDIR -a $NARGS -ne 1 ]
	do
	    echo "$INSDIR is not a vaild directory"
	    echo "Enter the SASROOT directory:\c"
	    read INSDIR

	done
        cd $INSDIR
    fi
clear
#  Search the sas binary for the SAS version.  If the sas binary
#  can't be found, the script exits.

    if [ -f ./sas ]
    then
        SASVER=`strings $INSDIR/sas | grep "^6\.1[12]$"`
    else
	echo "error:  the sas binary was not found\n"
	exit 1

    fi

#   For SAS 6.11 copies to sasstub and drel files into place, making
#   a backup copy if the files already exist.

    if [ "$SASVER" = 6.11 ]
    then
	if [ -f ./sasstub ]
	then
	    if [ -f $INSDIR/sasexe/base/sasstub ]
	    then
	        mv $INSDIR/sasexe/base/sasstub $INSDIR/sasexe/base/sasstub.bak
	    fi
	    cp ./sasstub $INSDIR/sasexe/base/ 
	else 
	    echo "sasstub is not in the current directory"
	    exit 1
	fi
	if [ -f ./drel ]
	then
	    if [ -f $INSDIR/utilities/bin/drel ]
	    then
	        mv $INSDIR/utilities/bin/drel $INSDIR/utilities/bin/drel.bak
	    fi
	    cp ./drel $INSDIR/utilities/bin/ 
	else 
	    echo "drel is not in the current directory"
	    exit 1
	fi
    fi

#  do the main job off running drel against all the appendages
#  under the sasexe directory.

    cd $INSDIR
	echo ""
	echo "Performing script. This may take a few moments"
	echo ""
        for appendage in sasexe/*/*
           do
               chmod 0777 $appendage
               utilities/bin/drel -f -m 7 -6 $appendage > $INSDIR/.install/drel.log   
               chmod 0555 $appendage
           done
else
    exit 1
fi
echo "done"
